# Lock an omnibus structure

Endpoint: POST /v1/domains/{domainId}/omnibus/{omnibusId}/lock

## Path parameters:

  - `domainId` (string, required)

  - `omnibusId` (string, required)

## Response 200 fields (application/json):

  - `id` (string, required)
    Unique identifier of the omnibus structure

  - `domainId` (string, required)
    Identifier of the domain this omnibus structure belongs to

  - `custodyAccountId` (string, required)
    Identifier of the custody account backing this omnibus structure

  - `alias` (string, required)
    Alias of the omnibus structure

  - `status` (string, required)
    Enum: "CREATING", "PENDING_SPONSORSHIP", "UNLOCKED", "LOCKED", "FAILED"

  - `ignoredAccountIds` (array, required)
    List of custody account IDs to ignore during event processing

  - `createdAt` (string, required)
    Timestamp when the omnibus structure was created

  - `updatedAt` (string, required)
    Timestamp when the omnibus structure was last updated

  - `sponsoringGasStationId` (string)
    Entity ID of the Gas Station account that sponsors fees for this omnibus account

  - `balances` (array)
    Balances of the host tenant per ticker/ledger combination

  - `balances.tickerId` (string, required)
    Ticker identifier

  - `balances.ledgerId` (string, required)
    Ledger identifier

  - `balances.reserved` (string, required)
    Reserved amount

  - `balances.quarantined` (string, required)
    Quarantined amount

  - `balances.availableBalance` (string)
    Available balance from accounting service; absent if the accounting service is unavailable


